/***********************************************************************************
General
***********************************************************************************/
* body {
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

body, h1, h2, h3, h4, h5, h6, p {font-family: -apple-system, BlinkMacSystemFont, sans-serif;}
a, a:hover, a:focus, a:active {color: inherit;}

body::after {
    content: "";
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: fixed;
    z-index: -1;
}



/***********************************************************************************
Anmeldeseite
***********************************************************************************/

#password_form {height: 310px; top: calc(50% - 155px);}


#login_form {height: 400px; top: calc(50% - 250px);}



#user_form {height: 500px;top: calc(50% - 250px); width: 900px !important; left: calc(50% - 450px) !important; }


#reset_form {height: 350px;top: calc(50% - 175px);}


#password_form, #login_form, #user_form, #reset_form, #sso_btn{
    width: 500px;
    position: fixed;
    z-index: 1;
    background-color: #fff;
    box-shadow: 0px 0px 10px grey;
    left: calc(50% - 250px);
    border-radius: 10px;
}

#form_text{
    left: calc(50% - 250px);
    width: 100%;
    height: 10px;
    position: absolute;
    z-index: 1;
    text-align: center;
    top: calc(50% - 100px);

}

#reset_text{
    left: calc(50% - 250px);
    width: 100%;
    height: 10px;
    position: absolute;
    z-index: 1;
    text-align: center;
    top: calc(50% - 50px);
}

#login_password {
    position: absolute;
    z-index: 1;
    bottom: calc(50% - 120px);
    right: 30px;
    float: right;
}

@media (max-width: 480px){
    #login_form {
        height: 400px; 
        top: calc(50% - 200px);
        border-radius: 0px;
        width: 100%;
        z-index: 1;
        box-shadow: 0px 0px 10px grey;
        left:0;
    }

    #form_text{
        width: 100%;
        left:0;
        height: 10px;
        position: fixed;
        z-index: 1;
        text-align: center;
        top: calc(50% - 110px);
        font-size: 14px;
    }

    #login_password {
        position: fixed;
        z-index: 1;
        bottom: calc(50% - 100px);
        right:15px;
    }

    #reset_text{
        width: 100%;
        left:0;
        height: 10px;
        position: fixed;
        z-index: 1;
        text-align: center;
        top: calc(50% - 60px);
        font-size: 14px;
    }
    
}





#btn-edituser {right: 30px; float: right;}

#btn-password, #btn-edituser, #btn-reset, #btn, #btn-removeuser {
    height: 50px;
    width: 120px;
    box-sizing: border-box;
    border-radius: 10px;
    font: 1.17em -apple-system, BlinkMacSystemFont, sans-serif;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    border: 0;
    color: #fff;
    font-weight: bolder;
}

#login_icon{
    left: 15px;
    top: 10px;
    width: calc(100% - 30px);
    height: 80px;
    position: relative;
}

/***********************************************************************************
CONVERTERS
***********************************************************************************/

#info {
    opacity: 1;
    position: absolute;
    top: 150px;
    left: calc(50% - 300px);
    height: 50px;
    width: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    border-radius: 10px;
    font-size: 20px;
}

#settings {
    opacity: 1;
    position: absolute;
    top: 450px;
    left: calc(50% - 300px);
    height: 50px;
    width: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    border-radius: 10px;
    font-size: 20px;
}

#upload-area-import {top: calc(50% - 100px); position: fixed;}

#upload-area {top: 220px;}

#upload-area, #upload-area-import {
    opacity: 1;
    position: absolute;
    left: calc(50% - 300px);
    height: 200px;
    width: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    border-radius: 10px;
    font-size: 24px;
}

#drop_file_zone {
    background-color: #fff;
    height: 200px;
    width: 600px;
    padding: 8px;
    font-size: 18px;
    border-radius: 10px;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
}

#drag_upload_file {width:50%; margin:0 auto;}
#drag_upload_file p {text-align: center;}

/***********************************************************************************
Administration
***********************************************************************************/

.user{
    height: 130px;
    width: 100%;
    margin-bottom: 10px;
    color: #fff;
    border-radius: 10px;
    cursor: pointer;
}

.nouser{
    height: 50px;
    width: 100%;
    margin-bottom: 10px;
    color: #fff;
    border-radius: 10px;
    text-align: center; 
    display: flex;
    justify-content: center;
    line-height: 50px;
}


.displayname, .displayusername, .displaycompany {
    padding-left: 20px;
    font-size: 16px;
    cursor: pointer;
}

#clear_button{
    top: 100px;
    position: fixed;
    height: 50px;
    right: 60px;
    border-radius: 0px 10px 10px 0px;
    cursor: pointer;
    background-color: #fff;
    border: 2px solid #000;

}

#result{
    top: 170px;
    position: fixed;
    height: calc(100% - 215px);
    left: 60px;
    right: 60px;
    overflow: scroll;
    border-radius: 10px;
}

#result::-webkit-scrollbar {display:none;}

.input_text{top: 60px; font-size: 1.17em; margin-top: 5px;}
.reset_info{top: 85px; font-size: 18px; margin-bottom: 10px;}
.remove_info{top: 140px; font-size: 18px; margin-bottom: 10px; text-align: center;}

.input_text, .reset_info, .remove_info{
    left: 25px;
    position: relative;
    height: 25px;
    width: 450px;
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
}

#administration_menu{
    left: 55px;
    width: calc(100% - 130px);
    height: 85px;
    top: 60px;
    position: fixed;
    padding: 15px 0 0 20px;
    border-radius: 10px;
    color: #fff;
}

#password_actions{top: calc(50% + 30px); padding-left: 25px; position: fixed;}

#permissions{
    left: calc(50%  + 50px);
    top: calc(50% - 180px);
    height: 285px;
    width: 355px;
    position: fixed;
    padding: 10px 0 0 20px;
    /*top, ?, ?, left*/
    overflow-y: scroll;
    overflow-x: hidden; /* Hide horizontal scrollbar */

}


#edit_blocked{
    top: calc(50% + 115px);
    left: calc(50% + 50px);
    height: 50px;
    width: 355px;
    position: fixed;
    padding: 10px 0 0 20px;
    /*top, ?, ?, left*/
    color: #ff0000;
}

/***********************************************************************************
Homepage
***********************************************************************************/

#header{
    position: fixed;
    top: 0;
    width: 100%;
    height: 50px;
    box-shadow: 0px 0px 10px grey;
    z-index: 1;
    margin-left: -8px;
}


#user {
    position: fixed;
    right: 0;
    top: 0;
    height: 50px;
    z-index: 10000;   
    padding-right: 10px; 
    display: flex; /* Flexbox zur Ausrichtung der Kinder-Elemente */
    align-items: center; /* Vertikale Ausrichtung der Kinder in der Mitte */
    padding-left: 10px; /* Etwas Platz für das Profilbild */
    border-left: 1px solid #c2c2c2; /* Dünne Linie links */
    cursor: pointer;
    max-width: 230px; /* Maximale Breite auf den gleichen Wert setzen */
}

#user:hover {
    background-color: #a3a3a3;
}

#user-menu {
    position: fixed;
    right: 0;
    top: 50px;
    height: 105px;
    padding-right: 20px; 

    z-index: 1;    
    background-color: #ffffff;
    display: none;
    width: 230px; /* Maximale Breite auf den gleichen Wert setzen */
}


/* Menü-Container */
#user-menu ul {
    list-style-type: none; /* Entfernt die Bulletpoints */
    margin: 0;
    padding: 0;
}

/* Menü-Elemente */
#user-menu ul li {
    position: relative;
    font-family: Arial, sans-serif;
    font-size: 16px;
    margin-top: 5px; /* Erhöht den Abstand zwischen den Punkten */
    margin-left: 10px;
}

#user-menu ul li a {
    text-decoration: none;
    color: black; /* Schriftfarbe schwarz */
    display: flex;
    justify-content: space-between; /* Pfeil nach rechts */
    align-items: center;
    padding: 5px;
}


#profil {
    width: 35px;
    height: 35px;
    border-radius: 50%; /* Sicherstellen, dass es rund bleibt */
    z-index: 1;
    background-image: url('../images/profile/default.jpg');
    background-repeat: no-repeat;
    background-size: cover; /* Bildgröße anpassen */
    background-position: center; /* Bild zentrieren */
}

@media (min-width: 780px){
    #profil {
        margin-right: 15px; /* Abstand zum Benutzernamen */
    }
}

#username {
    text-align: center;
    z-index: 1;
    flex-grow: 1; /* Nimmt den restlichen Platz im Container ein */
    display: flex;
    align-items: center;
    justify-content: left;
}

@media (max-width: 780px) {
    #username {
        display: none; /* Text ausblenden */
    }
}

/***********************************************************************************
Error-Dialoge
***********************************************************************************/

#error {
    position: fixed;
    left: 10px;
    right: 10px;    
    top: 25px;
    height: 75px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px grey;
    z-index: 2;
    text-align: center; 
    line-height: 25px;
    display: flex;
    justify-content: center;
    color: #fff;
}

.countdown {
    position: fixed;
    height: 10px;
    left: 10px;
    right: 10px;
    top:90px;
    background-color: #ffffff;
    border-radius: 0px 0px 10px 10px;
    z-index: 2;
}

.in {
    animation: fill 3s linear 1;
    height: 100%;
    background-color: #8b8b8b;
    border-radius: 0px 0px 10px 10px;
}

@keyframes fill {0% {width: 0%;} 100% {width: 100%;}}


/***********************************************************************************
Tabelle -> EINSTELLUNGEN
***********************************************************************************/

#tabelle {
    border-collapse: collapse;
    width: 100%;
}
      
#tabelle td, #tabelle th {
    border: 1px solid #ddd;
    padding: 5px;
}

#tabelle th {
    position: -webkit-sticky;
    position: sticky;
    top: -1px;
    z-index: 2;
}
      
#tabelle tr:nth-child(even){background-color: #E9F1DE;}
#tabelle tr:nth-child(odd){background-color: #E2E9D4;}
#tabelle tr:hover {background-color: #B4DC69;}
      
#tabelle th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: #E6E5E4;
    color: #000;
}

#title_settings{
    height: 50px;
    width: 100%;
    margin-bottom: 10px;
    background-color: #ddd;

    text-align: center; 
    display: flex;
    justify-content: center;
    vertical-align: middle;
    align-items: center;
}








#menu {
    position: fixed;
    margin-left: -8px;
    top: 50px;
    width: 250px;
    height: calc(100% - 140px);
    z-index: 1;
    background-color: #CCCCCC;
    border-right: 3px solid #c2c2c2;
    overflow-y: auto; /* Scrollbar bei Bedarf */
    padding-top: 10px;
    padding-bottom: 10px; /* Platz für den Footer */
    box-sizing: border-box; /* Sorgt dafür, dass Padding in die Höhe eingerechnet wird */
    display: flex;
    flex-direction: column; /* Ermöglicht flexibles Layout */
}

#menu ul {
    flex: 1 1 auto; /* Nimmt den verbleibenden Platz zwischen Header und Footer ein */
    list-style-type: none;
    margin: 0;
    padding: 0;
}

/* Stelle sicher, dass Links klickbar sind */
#menu ul li a {
    text-decoration: none;
    color: black; /* Schriftfarbe schwarz */
    display: flex;
    justify-content: space-between; /* Pfeil nach rechts */
    align-items: center;
    padding: 10px;
}

/* Überprüfe, ob ein Element darüber liegt */
#menu ul li {
    position: relative;
    z-index: 1; /* Sicherstellen, dass das Listenelement über anderen Elementen liegt */
}


/* Nur Menüeinträge mit Untermenü bekommen einen Pfeil */
#menu ul li.has-submenu > a::after {
    content: '▼'; /* Standardmäßig Pfeil nach unten */
    font-size: 12px;
    margin-left: 10px;
    transition: transform 0.3s ease; /* Für sanfte Animation */
}

#menu ul ul {
    display: none;
    position: relative; /* Macht die Position relativ zur übergeordneten Container */
}

#menu ul ul li {
    position: relative; /* Ermöglicht die Verwendung von negativen Indents für den Text */
    padding-left: 10px; /* Leichtes Padding für die gesamte Liste */
}

#menu ul ul li:hover::before {
    content: "";
    position: absolute;
    left: 0;
    width: 10px; /* Breite des "Platzhalters" */
    height: 100%;
    background-color: #ddd
}




/* Wenn das Untermenü sichtbar ist, ändert sich der Pfeil */
#menu ul li.open > a::after {
    content: '▲'; /* Pfeil nach oben */
}

/* Gestaltung der Untermenüpunkte */
#menu ul ul li {
    margin-bottom: 0;
}

/* Optionale Hover-Effekte */
#menu ul li a:hover {
    background-color: #ddd;
    color: #000;
}

#menu li.active > a {
    background-color: #ddd; /* Beispiel Hintergrundfarbe für das aktive Element */
    color: #000; /* Schriftfarbe für das aktive Element */
}

#footer {
    position: fixed; /* Fixiert den Footer innerhalb des Menüs */
    bottom: 0px;
    width: 240px; /* Passt zur Breite des Menüs */
    height: 80px;
    background-color: #CCCCCC;
    border-top: 1px solid #ddd;
    z-index: 1000; /* Stellt sicher, dass es über dem Scroll-Container liegt */
    vertical-align: middle;
    align-items: center;
    font-size: 12px;
    padding-left: 10px;
    padding-top: 10px;
    left: 0;
}

#menu_btn{
    position: fixed;
    top: 0;
    width: 50px;
    height: 50px;
    z-index: 1;
    left:5px;
    background-color: #B4DC69;
    display: none;
    background: url('../images/menu.png') no-repeat center / 30px 30px;
    cursor: pointer;
}


@media (max-width: 780px) {

    #menu_btn{
        display: block;
    }
    #footer {
        display: none;
    }
    #menu{
        display: none;
    }
}



::-webkit-scrollbar {
    width: 5px;
    height: 100px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1; 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888; 
    border-radius: 2.5px;

  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; 
  }


  /*HOMEPAGE*/

#welcome {
    position: absolute;
    top: 80px;
    left: 290px;
    height: 70px;
    right: 35px;
    background-color: #fff;
    border-radius: 0px 0px 20px 0px;

    text-align: center; 
    display: flex;
    justify-content: center;
    vertical-align: middle;
    align-items: center;
    font-size: 24px;
}

@media (max-width: 780px) {

    #welcome{
        left: 30px;
    }
   
}

